--- MenuItem.java	Thu Dec 10 00:20:03 1998
+++ /kaffe/snapb3/kaffe-snap8jan/libraries/javalib/java/awt/MenuItem.java	Fri Jan  8 11:46:10 1999
@@ -13,6 +13,8 @@
 package java.awt;
 
 import java.lang.String;
+import java.awt.event.ItemEvent;
+import java.awt.event.ItemListener;
 import java.awt.event.ActionEvent;
 import java.awt.event.ActionListener;
 import java.awt.event.KeyEvent;
@@ -25,6 +27,7 @@
 	MenuShortcut shortcut;
 	String label;
 	ActionListener aListener;
+	ItemListener iListener;	
 	String aCmd;
 	boolean isEnabled = true;
 	static MenuItem separator = new MenuItem( "-");
@@ -42,6 +45,12 @@
 	setLabel( label);
 	setFont( defFnt);
 }
+
+ protected void processItemEvent ( ItemEvent ie ) {
+ 	if ( hasToNotify( iListener) )
+ 		iListener.itemStateChanged( ie);
+ }
+
 
 public synchronized void addActionListener( ActionListener l) {
 	if ( ! isSeparator() )
